javascript: function tf8_cartFunc() {
    function getLocalStorage(key) {
        var localStorage = window.localStorage;
        var result = {};
        if (localStorage && (result = localStorage.getItem(key))) {
            try {
                result = JSON.parse(result)
            } catch(e) {}
        }
        return result
    }
    var isCartPage = window.location.href.match("h5.m.taobao.com/mlapp/cart.html");
    var cartData = getLocalStorage("cartData");
    var nick = Object.keys(cartData)[0] || "";
    if (!isCartPage || !nick || window.tf8_jsonpCb) {
        return
    }
    cartData = cartData[nick].data || {};
    var tf8_cartObj = {
        data: {
            idList: [],
            itemMap: {},
            paramsObj: {}
        },
        init: function() {
            var idList = [];
            var goodsIdList = [];
            this.data.paramsObj = {
                pageType: "mobile",
                pageName: "shopcart",
                code: "shopcart"
            };
            var bundlev2 = document.querySelectorAll(".bundlev2");
            for (var j = bundlev2.length - 1; j >= 0; j--) {
                var itemNodeList = bundlev2[j].querySelectorAll(".itemv2");
                var shopIdList = [];
                for (var i = itemNodeList.length - 1; i >= 0; i--) {
                    var itemNode = itemNodeList[i];
                    var itemv2_key = ((itemNode.dataset && itemNode.dataset.reactid) || "").match(/(itemv2_\d+)$/g);
                    var itemv2_obj = cartData[itemv2_key] || {};
                    var itemv2_obj_fields = itemv2_obj.fields || {};
                    var itemId = itemv2_obj_fields.itemId || "";
                    var link = "https://detail.m.tmall.com/item.htm?id=" + itemId;
                    var anchorNode = itemNode.querySelector("a");
                    anchorNode.href = link;
                    shopIdList.push(itemId);
                    if (this.data.itemMap[itemId]) {
                        this.data.itemMap[itemId].node.push(itemNode)
                    } else {
                        goodsIdList.push(itemId);
                        this.data.itemMap[itemId] = {
                            node: [itemNode],
                            link: link
                        }
                    }
                }
                idList.push(shopIdList.join("-"))
            }
            var userIdLocal = localStorage.getItem("tf8_userId");
            this.data.userId = this.getUrlParam("userId") || userIdLocal;
            this.data.cookie = this.getUrlParam("cookie") || localStorage.getItem("tf8_cookie");
            if (!userIdLocal || userIdLocal === 'null') {
                try {
                    localStorage.setItem("tf8_userId", this.data.userId);
                    localStorage.setItem("tf8_cookie", this.data.cookie)
                } catch(e) {
                    localStorage.clear();
                    localStorage.setItem("tf8_userId", this.data.userId);
                    localStorage.setItem("tf8_cookie", this.data.cookie)
                }
            }
            this.reportCart(idList);
            this.bindEvent();
            this.update(goodsIdList);
        },
        bindEvent: function() {
            var self = this;
            var clickParams = {
                position: "点击商品查询返利",
                bussinessType: "自定义按钮",
                content: ""
            };
            clickParams = this.extend({},
            this.data.paramsObj, clickParams);
            $(".allItemv2").on("click", ".rebate-column, .item-img>a, .item-info .title",
            function(e) {
                e.preventDefault();
                var state = $(this).attr("data-state");
                var href;
                var titleClass = $(this).attr("class");
                var dataClass = $(this).attr("class");
                if (state === "1") {
                    return null
                }
                if (titleClass && titleClass.match(/title/)) {
                    href = $(this).parent("a").attr("href")
                } else {
                    href = $(this).attr("href")
                }
                $(this).attr("data-state", "1");
                clickParams = self.extend({},
                clickParams, {
                    content: self.getUrlParam("id", href)
                });
                if (dataClass === "rebate-column") {
                    clickParams = self.extend({},
                    clickParams, {
                        position: "点击返利栏查询返利"
                    })
                } else {
                    clickParams = self.extend({},
                    clickParams, {
                        position: "点击商品查询返利"
                    })
                }
                window.location.href = href
            })
        },
        reportCart: function(idList) {
            if (idList.length === 0) {
                return
            }
        },
        reportLog: function(clickParams, url) {
            var img = document.createElement("img");
            var target = document.getElementsByTagName("body")[0];
            img.src = this.joinUrlParam(clickParams, url);
            target.appendChild(img, target)
        },
        jsonp: function(url) {
            var script = document.createElement("script");
            var target = document.getElementsByTagName("script")[0] || document.head;
            script.src = url;
            script.async = true;
            target.parentNode.insertBefore(script, target);
            window.tf8_jsonpCb = function(data) {
                tf8_cartObj.update(data)
            }
        },
        update: function(idList) {
            var itemMap = this.data.itemMap;
            var item, status, fanliAmount;
            var htmlStr, part1, part2, part3;
            for (var i = 0; i < idList.length; i++) {
                var itemId = idList[i];
                item = itemMap[itemId];
                if (document.getElementById("tf8_" + itemId) === null) {
                    status = "201";
                    fanliAmount = 10.9;
                    part1 = status === "200" ? '<img src="https://y.taofen8.com/ef76212fb0ed4a46acda129a0d31bd9b.jpg" style="float:left;width:.40625rem;height:.40625rem;margin-top:.28125rem;margin-right:.125rem;">': "";
                    part2 = "<span>" + (status === "200" ? "查询成功，立即下单得返利": status === "201" ? "点击商品查询返利": "查询返利10分钟内有效，请重试") + "<span>";
                    part3 = '<div style="float:right;' + (status === "200" ? "": "color:#999;") + '">' + (isNaN(fanliAmount) ? fanliAmount: '预计返<span style="' + (status === "200" ? "color:#f4436d;": "") + '">￥' + fanliAmount + "</span>") + "</div>";
                    htmlStr = '<a class="rebate-column" id="tf8_' + itemId + '" href="' + item.link + '" style="display:block;height:.9375rem;line-height:.9375rem;padding-left:1.1875rem;padding-right:.3125rem;color:#333;background-color:#f5f5f5;overflow:hidden;">' + part1 + part2 + part3 + "</a>";
                    for (var i in item.node) {
                        item.node[i].insertAdjacentHTML("beforeend", htmlStr)
                    }
                }
            }
        },
        getUrlParam: function(key, url) {
            if (key === undefined) {
                return null
            }
            var rParam = new RegExp("(\\?|&)" + key + "=([^&]*)(&|$)");
            var result = (url || window.location.href).match(rParam);
            if (result) {
                return decodeURIComponent(result[2])
            }
            return null
        },
        joinUrlParam: function(paramsObj, url) {
            for (var key in paramsObj) {
                url = url + (url.indexOf("?") === -1 ? "?": "&") + key + "=" + paramsObj[key]
            }
            return url
        },
        extend: function(obj) {
            var source;
            for (var i = 1,
            length = arguments.length; i < length; i++) {
                source = arguments[i];
                for (var key in source) {
                    obj[key] = source[key]
                }
            }
            return obj
        }
    };
    try {
        tf8_cartObj.init();
        $(".toolbar-footer").css("height", "1.30667rem")
    } catch(e) {}
}
tf8_cartFunc();